Subject: Re: [PATCH 1/3] git send-email: make the message file name more specific.

From: Pierre Habouzit <[email-masked]>
Date: Sun, 02 Nov 2008 10:35:33 +0100

On Sun, Nov 02, 2008 at 06:18:08AM +0000, Junio C Hamano wrote:
> Pierre Habouzit <[email-masked]> writes:
> 
> > This helps editors choosing their syntax hilighting properly.
> 
> Even though I agree this is the right direction to go, unfortunately this
> can break people's existing setup.

Well for now vim (I don't know if emacs has syntax highlight for it)
does:
    autocmd BufNewFile,BufRead .msg.[0-9]*
	  \ if getline(1) =~ '^From.*# This line is ignored.$' |
	  \   setf gitsendemail |
	  \ endif

Even if you're illiterate in vim script language, you should grok what
it does, because of the fact that .msg.nnnn is hardly something one can
recognize. I believe it's highly unlikely to break anything.

What do other people think ?

> Having said that, if we were to do this, let's do it the right way and put
> these "temporary" files under $GIT_DIR.

Agreed, I should have done that.

-- 
·O·  Pierre Habouzit
··O                                                [email-masked]
OOO                                                http://www.madism.org